function main_PathTcpToLocalDataLogger_click(that)
{
	var Class = new Path();
	Class.ClearTheDivOfTheTail(that, "#Main_Top-Path");
	$("#Main_Left-List").css("display", "block");
	Class = new TcpToLocalDataLoggerSecondPage();
	Class.NoConfirmButton();
	Class = null;
}

function main_TcpToLocalDataLogger_click(that)
{
	var LeftDivId="#Main_Left-List";
	var Class = new ListCommon();
	Class.ChangeDivCss(that, LeftDivId);
	Class = new Path();
	Class.LoadPathHtml($(that).text(), 1, "main_PathTcpToLocalDataLogger_click(this)");
	Class = new LoadHtml();
	var Html = Class.ReadTranslateAfterOfHtml("./Plugin/TcpToLocalDataLogger/html/Css.html");
	Html = Html + Class.ReadTranslateAfterOfHtml("./Plugin/TcpToLocalDataLogger/html/UpdatePage.html");
	Html = Html + Class.ReadTranslateAfterOfHtml("./Plugin/TcpToLocalDataLogger/html/FirstPage.html");
	Html = Html + Class.ReadTranslateAfterOfHtml("./Plugin/TcpToLocalDataLogger/html/SecondPage.html");
	$("#Main_Center-Content").empty();
	$("#Main_Center-Content").append(Html);
	Class = new TcpToLocalDataLoggerUpdatePage();
	Class.Initialization();
	Class = null;
}
function main_TcpToLocalDataLoggerSetConnectionName_click(that)
{
	var Class = new TcpToLocalDataLoggerFirstPage();
	Class.SetConnectionName(that);
	Class = null;
}
function main_TcpToLocalDataLoggerSaveButton_click(that)
{
	var Class = new TcpToLocalDataLoggerFirstPage();
	Class.SaveButton(that);
	Class = null;
}
function main_TcpToLocalDataLoggerChangeCheckbox_click(that)
{
	var Class = new TcpToLocalDataLoggerFirstPage();
	Class.ChangeCheckbox(that);
	Class = null;
}
function main_TcpToLocalDataLoggerEditButton_click(that)
{
	var Class = new TcpToLocalDataLoggerFirstPage();
	Class.EditButton(that);
	Class = null;	
}
function main_TcpToLocalDataLoggerShowNextPage_click()
{
	var Class = new TcpToLocalDataLoggerFirstPage();
	Class.ShowNextPage();
	Class = null;
}
function main_TcpToLocalDataLoggerShowPreviousPage_click()
{
	var Class = new TcpToLocalDataLoggerFirstPage();
	Class.ShowPreviousPage();
	Class = null;	
}
function main_TcpToLocalDataLoggerChangeAllCheckbox_click(that)
{
	var Class = new TcpToLocalDataLoggerFirstPage();
	Class.ChangeAllCheckbox(that);
	Class = null;
}
function main_TcpToLocalDataLoggerConfirmButton_click(that)
{
	var Class = new TcpToLocalDataLoggerSecondPage();
	Class.ConfirmButton(that);
	Class = null;	
}
function main_TcpToLocalDataLoggerNoConfirmButton_click(that)
{
	var Class = new TcpToLocalDataLoggerSecondPage();
	Class.NoConfirmButton(that);
	Class = null;	
}